import { EnqueueJobOptions, QuirrelClient } from "./client";
import * as connect from "./connect";
export declare function Queue<Payload>(path: string, handler: connect.QuirrelJobHandler<Payload>, defaultJobOptions?: connect.DefaultJobOptions): Omit<QuirrelClient<Payload>, "respondTo" | "makeRequest">;
export declare function CronJob(route: string, cronSchedule: NonNullable<NonNullable<EnqueueJobOptions["repeat"]>["cron"]>, handler: () => Promise<void>): unknown;
export * from "./connect";
